petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecStrideNorm

Computes the norm of subvector of a vector defined by a starting point and a stride.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecStrideNorm(Vec v,PetscInt start,NormType ntype,PetscReal *nrm)

Collective on Vec Many br

### Input Parameter

| v | - the vector Many br
| start | - starting point of the subvector (defined by a stride) Many br
| ntype | - type of norm, one of NORM_1, NORM_2, NORM_INFINITY Many br

### Output Parameter

norm -the norm Many br

### Notes

One must call VecSetBlockSize() before this routine to set the stride Many brinformation, or use a vector created from a multicomponent DMDA. Many br

If x is the array representing the vector x then this computes the norm Many brof the array (x[start],x[start+stride],x[start+2*stride], ....) Many br

This is useful for computing, say the norm of the pressure variable when Many brthe pressure is stored (interlaced) with other variables, say density etc. Many br

This will only work if the desire subvector is a stride subvector Many br

Many br

### See Also

VecNorm(), VecStrideGather(), VecStrideScatter(), VecStrideMin(), VecStrideMax()

Level:advanced
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex11f.F.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/snes/examples/tutorials/ex22.c.html